Opened 9 years ago

Closed 10 months ago

#343 closed enhancement (outdated)

Php 5.3 with spatialite extension enabled

Reported by: kimaidou Owned by: osgeo4w-dev@…
Priority: major Component: Package
Version: Keywords: apache, php, spatialite
Cc: kimaidou, rldhont

Description

Dear osgeo4w devs

Under linux, it is extremely simple to load the spatialite extension for php 5.3, and then use spatial queries from php scripts See [1] for detailed steps

Would it be possible to ship osgeo4w with a more recent php version, AS 5.3, and moreover configure php so that spatialite.so equivalent added in a directory from which php scripts can load the extension ?

Thanks in advance

[1] http://www.gaia-gis.it/spatialite-2.4.0-4/splite-php.html

Change History (3)

comment:1 Changed 9 years ago by kimaidou

Cc: kimaidou added

comment:2 Changed 9 years ago by rldhont

Cc: rldhont added
Keywords: apache added

In the wiki, http://wiki.osgeo.org/wiki/OSGeo4W_Packages#php, we can find that the PHP package is captured form MS4W.

MS4W is now at PHP 5.4, how is the package captured ? If FrankW couldn't do it, what is the process to capture it ?

comment:3 Changed 10 months ago by jef

Resolution: outdated
Status: newclosed
Note: See TracTickets for help on using tickets.